#pragma once

#include "classicmode/context.h"

class HoldManager;
class ClassicGraphicsManager;

class GameContext : public Context
{
public:
    explicit GameContext(HoldManager *hold_manager, ClassicGraphicsManager *graphics_manager);

    virtual void input(ClassicArrowNote *note, kku::GameEvent&& input) const override;
    virtual void update(ClassicArrowNote *note, const kku::microsec &music_offset) const override;

private:
    HoldManager * const _hold_manager;
    ClassicGraphicsManager * const _graphics_manager;
};
